/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#gif").hide();

var nivelAcademico = [];
var listaLicenciaturas = [];
var filaSelec = 0;

$(".fila").click(function () {
    var id = $(this).attr('id');
    if (filaSelec == 0) {
        document.getElementById(id).style.backgroundColor = "#5cb85c";
        cargarRelacion(id.substring(1,2));
        filaSelec = id;
    } else {
        document.getElementById(filaSelec).style.backgroundColor = "";
        document.getElementById(id).style.backgroundColor = "#5cb85c";
        cargarRelacion(id.substring(1,2));
        filaSelec = id;
    }

});
$(".nivAca").click(function () {
    var id = $(this).attr('id');
    if ($(this).prop('checked')) {
        nivelAcademico.push(id);
    } else {
        var i = nivelAcademico.indexOf(id);

        if (i !== -1) {
            nivelAcademico.splice(i, 1);
        }
    }
    console.log(nivelAcademico);
});

$(".lic").click(function () {
    var id = $(this).attr('id');
    if ($(this).prop('checked')) {
        listaLicenciaturas.push(id);
    } else {
        var i = listaLicenciaturas.indexOf(id);

        if (i !== -1) {
            listaLicenciaturas.splice(i, 1);
        }
    }
    console.log(listaLicenciaturas);
});

$("#btnCrearRelacion").click(function () {
    if (nivelAcademico.length === 1 & listaLicenciaturas.length > 0) {
        crearRelacion(nivelAcademico, listaLicenciaturas);
    } else {
        swal("", "DEBE SELECCIONAR UN SOLO NIVEL ACADEMICO, Y VARIAS LICENCIATURAS", "warning");
    }
});



function crearRelacion(nA, lLic) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/na-lic',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {nA: nA, lLic: lLic},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gif").show();
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedor").innerHTML = respuesta;
            $("#gif").hide();
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // crearRelacion

function cargarRelacion(nA) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/na-lic-cargar',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {nA: nA},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gif").show();
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedor").innerHTML = respuesta;
            $("#gif").hide();
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // crearRelacion